API reference
Members
Store team members
curl -X POST "https://www.prolifto.store/api/members/getMany"{}curl -X POST "https://www.prolifto.store/api/members/getInvitations"{}Invite
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/members/invite" \ -H "Content-Type: application/json" \ -d '{ "email": "user@example.com", "role": "admin" }'{}Resend Invitation
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/members/resendInvitation" \ -H "Content-Type: application/json" \ -d '{ "invitationId": "string" }'{}Cancel Invitation
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/members/cancelInvitation" \ -H "Content-Type: application/json" \ -d '{ "invitationId": "string" }'{}Remove Member
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/members/removeMember" \ -H "Content-Type: application/json" \ -d '{ "memberId": "string" }'{}Update Role
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/members/updateRole" \ -H "Content-Type: application/json" \ -d '{ "memberId": "string", "role": "admin" }'{}